PwnageTool 2.1 - Stuck on last step?

Discussion in 'Jailbreaks and iOS Hacks' started by Junkboxy, Sep 18, 2008.

  1. Junkboxy macrumors member

    Joined:
    Sep 17, 2008
    #1
    I thought I was smart in waiting for the "2.1's" (both Apple's and then PwnageTool) before attempting to unlock my 1st-gen iPhone. I get the 1600 unknown error when iTunes 7.7 attempts to restore my custom ipsw, which was built to unlock (going T-Mobile) and jailbreak.

    I've deleted all the noise I used have here. Long story short, I wanna know what firmware version my recently obtained 1st-gen is running. Then I may be able to plan the right route to 2.1-and-unlocked.
     
  2. Junkboxy thread starter macrumors member

    Joined:
    Sep 17, 2008
    #2
    I can eliminate the iTunes variable, because I just tried iTunes 8.0 and got the same 1600 error.

    I now wonder if my iPhone is already jailbroken? I sure wish there was some Mac-based diagnostic app that could look in the iPhone and tell what kind of firmware is in there.
     
  3. Junkboxy thread starter macrumors member

    Joined:
    Sep 17, 2008
    #3
    iLiberty+ sheds a little light..
    [​IMG]
    So my iPhone is "Stock" and "Normal". Still would like to know what firmware version it is running. I'll just keep talking my self here til I figure things out :D
    But on second glance, "System: 0MB of 0MB Used" sure sounds strange - what does that really say?
     
  4. LSUtigers03 macrumors 68020

    LSUtigers03

    Joined:
    Apr 9, 2008
    #4
    To find out what firmware you're running go to settings>general>about>look at the version number.
     
  5. Junkboxy thread starter macrumors member

    Joined:
    Sep 17, 2008
    #5
    I can't do that because I don't have a legit SIM card in there. If no AT&T SIM care, then no access. (The emergency call screen is the only place you can go.)

    I just got stonewalled with Error 1600 again after updating OS to 10.5.5, and then trying it all over again, uninstalling-then-reinstalling iTunes 8.0, building a new custom IPSW.

    Apparently I need know that my iPhone currently has 2.0 if the PwnageTool 2.1 method is going to work.
     
  6. Junkboxy thread starter macrumors member

    Joined:
    Sep 17, 2008
    #6
    Success. I think the moral to my story is: Know for sure your starting point as well as endpoint in your hack path.

    I was originally trying to do a hack from Uncertain firmware version -----> Custom 2.1. The previous owner told me he had it up to 2.0.X, but he probably restored it to an earlier version to wipe it clean before letting it exchange hands.

    I did a plain vanilla restore with stock 2.0.2 firmware after I got myself into a pickle (I experimented with going into regular "Recovery" mode just see how it was different from "DFU", but thereafter I could only toggle between Recovery and DFU - I had locked myself out of Normal).

    Blessing in disguise, because my path then became clear: Stock 2.0.2 -----> Custom 2.1
    Then my first run following the standard steps (like iClarified's ) worked. But by this time, I was on 10.5.5 and iTunes 8.0.

    To try to sum up the variables as they were in my successful take:
    - Mac OS X 10.5.5
    - iTunes 8.0
    - PwnageTool 2.1
    - ipsw 2.0.2 as base version installed in iPhone prior to hack*
    - ipsw 2.1 as firmware for Pwnage's custom build*

    *Just remember to get the right ipsw's for your generation iPhone! The first-gen ipsw's start out "iPhone1,1...."
     
  7. Crunch macrumors 6502

    Crunch

    Joined:
    Jun 26, 2008
    Location:
    L.A.
    #7
    Awesome!! Can you please confirm that it runs fine on T-Mobile without any type of "Turbo SIM" or anything kije ut??

    Thanks! :O
     
  8. Junkboxy thread starter macrumors member

    Joined:
    Sep 17, 2008
    #8
    Yup.
    [​IMG]
    Made a couple of calls to and fro.
     
  9. Crunch macrumors 6502

    Crunch

    Joined:
    Jun 26, 2008
    Location:
    L.A.
    #9
    NICE!! Coolness. I kinda need the 2.0.2 firmware asap. Can I Jailbreak a 2.0.1 iPhone 3G using WinPwn 2.5?? I just tried to do that with 2.1 and it didn't work.
    Didn't brick my iPhone either, though.

    Where can I download 2.0.2??? Please help!!!!!!!!!!!! :(
     

Share This Page